Name:           perl-IO-All
Version:        0.46
Release:        2%{?dist}
Summary:        IO::All Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-All/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/IO-All-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ReadBackwards)
BuildRequires:  perl(IO::String) >= 1.08
BuildRequires:  perl(MLDBM)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File, File::Spec, File::Path and File::ReadBackwards; as
well as all the DBM and MLDBM modules. You can use most of the methods
found in these classes and in IO::Handle (which they inherit from). IO::All
adds dozens of other helpful idiomatic methods including file stat and
manipulation functions.

%prep
%setup -q -n IO-All-%{version}

find -type f -perm +100 -name '*.pm' -exec chmod a-x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 07 2012 Iain Arnell <iarnell@gmail.com> 0.46-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.41-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.41-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.41-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.41-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.41-2
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Dec 14 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.41-1
- Update to 0.41 (Fix FTBFS: BZ 660953).
- Remove requires-filter.
- Remove R:/BR: perl(Spiffy).

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.39-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.39-5
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Steven Pritchard <steve@kspei.com> 0.39-1
- Update to 0.39.
- Fix permissions on *.pm.

* Sat Feb 02 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.38-3
- rebuild for new perl

* Mon Dec 31 2007 Ralf Corsépius <rc040203@freenet.de> 0.38-2
- Adjust License-tag.
- BR: perl(Test::More) (BZ 419631).

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.38-1
- Update to 0.38.
- BR ExtUtils::MakeMaker.
- BR MLDBM for better test coverage.

* Tue Oct 17 2006 Steven Pritchard <steve@kspei.com> 0.36-1
- Update to 0.36.
- Use fixperms macro instead of our own chmod incantation.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.35-4
- Fix find option order.

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 0.35-3
- BR IO::String so the tests actually pass.

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 0.35-2
- Re-enable "make test".
- BR File::ReadBackwards for better test coverage.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.35-1
- Update to 0.35.

* Fri Mar 10 2006 Steven Pritchard <steve@kspei.com> 0.33-3
- Change dep filter.
- Various cleanups to match current cpanspec.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.33-2
- Filter Requires: perl(mixin).
- Turn off "make test" for now.
- Drop explict BR: perl.

* Wed Dec 28 2005 Steven Pritchard <steve@kspei.com> 0.33-1
- Specfile autogenerated.
